# Package com.snowflake.client.loader

Interface Summary
Loader: Bulk loader for Snowflake
LoadResultListener: Callback API for processing errors and statistics of upload operation

Class Summary
BufferStage: Class representing a unit of work for uploader.
FileUploader: Class responsible for uploading a single data file.
LoaderFactory
LoadingError: Wrapper for data format errors returned by the COPY/validate command
ProcessQueue: This class is responsible for processing a collection of uploaded data files represented by BufferStage class
PutQueue: Queue that sequentially finalizes BufferStage uploads and schedules them for processing in ProcessQueue.
StreamLoader

Enum Summary
BufferStage.State
LoaderProperty: Configuration parameters for Loader
LoadingError.ErrorProperty
Operation: Operations supported by Loader

Exception Summary
Loader.ConnectionError
Loader.DataError